<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.crawler.modules.kuaishoucce.mapper.KuaishouHotPhotoInfoMapper">

    <insert id="replaceBatch">
        replace into kuaishou_hot_photo_info(
        id ,
        main_mv_url ,
        cover_thumbnail_url ,
        width ,
        height ,
        video_duration ,
        playing_time ,
        like_time ,
        comment_time ,
        head_url ,
        nick_name ,
        caption ,
        create_time ,
        update_time
        )
        values
        <foreach collection="photoInfos" item="photoInfo" separator=",">
            (
            #{photoInfo.id},
            #{photoInfo.mainMvUrl},
            #{photoInfo.coverThumbnailUrl},
            #{photoInfo.width},
            #{photoInfo.height},
            #{photoInfo.videoDuration},
            #{photoInfo.playingTime},
            #{photoInfo.likeTime},
            #{photoInfo.commentTime},
            #{photoInfo.headUrl},
            #{photoInfo.nickName},
            #{photoInfo.caption},
            #{photoInfo.createTime},
            #{photoInfo.updateTime}
            )
        </foreach>
    </insert>
</mapper>
